Home

# Library goog.testing.mockmatchers

Function Summary
| `flexibleArrayMatcher(?Array expectedArr, ?Array arr, ?goog.testing.MockExpectation= opt_expectation) ⇒ boolean` A function that checks to see if an array matches a given set of expectations. The expectations array can be a mix of ArgumentMatcher implementations and values. True will be returned if values are identical or if a matcher returns a positive result.